Retrive the Market User Details

From docs
Jump to: navigation, search

Mobile_API »Get Market Users

Base URL

https://apimobile.callproof.com

Endpoint

/api/market-users

Purpose

Retrieves users available for opportunity/market filtering, based on the authenticated user’s role:

  • Manager – all active company users, or only users in the same market when the manager is limited to a market
  • Market manager – active users in the same market(s)
  • Other users – only the authenticated user

Results are ordered by first name.

HTTP Method

GET

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

None.

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location 'https://apimobile.callproof.com/api/market-users' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location 'https://apimobile.callproof.com/api/market-users' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Returns the list of market users.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
data array List of users (see below)
uri string Requested resource URI

data[]

Field Type Description
id integer Unique identifier of the user
full_name string Full name (first name + last name)

Error Responses

Status Code Meaning
400 Bad Request – market users could not be retrieved
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – An error occurred while loading market users.
  • 401 – Authentication failed or the access token is missing/expired.